<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_Vehicle_V2 StructType
 * @subpackage Structs
 */
class Update_Vehicle_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The VehicleUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleUpdate
     */
    public $VehicleUpdate;
    /**
     * Constructor method for Update_Vehicle_V2
     * @uses Update_Vehicle_V2::setLogin()
     * @uses Update_Vehicle_V2::setVehicleUpdate()
     * @param \StructType\Login $login
     * @param \StructType\VehicleUpdate $vehicleUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleUpdate $vehicleUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setVehicleUpdate($vehicleUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_Vehicle_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get VehicleUpdate value
     * @return \StructType\VehicleUpdate|null
     */
    public function getVehicleUpdate()
    {
        return $this->VehicleUpdate;
    }
    /**
     * Set VehicleUpdate value
     * @param \StructType\VehicleUpdate $vehicleUpdate
     * @return \StructType\Update_Vehicle_V2
     */
    public function setVehicleUpdate(\StructType\VehicleUpdate $vehicleUpdate = null)
    {
        $this->VehicleUpdate = $vehicleUpdate;
        return $this;
    }
}
